# -*- coding:utf-8 -*-
import os, sys, subprocess
from security_module import SecurityModule
from utils import log_error, log_debug

apparmor_path="/sys/module/apparmor/parameters/enabled"

class ApparmorModule(SecurityModule):
	status_desc={ "0": "关闭", "1": "启用" }
	def __init__(self):
		SecurityModule.__init__(self, "apparmor")

	@staticmethod
	def getstatus():
		ret = 0
		if os.path.exists(apparmor_path):
			try:
				f=open(apparmor_path, "r")
			except OSError as e:
				return 0 

			data = f.read()
			if data[0] == 'Y':
				ret = 1 
			f.close()

		return ret 
