#!/usr/bin/python3
# -*- coding:utf-8 -*-

security_modules={
	"exectl": {
		"name": "exectl",
		"desc": "执行控制",
		"kconfig": "CONFIG_SECURITY_KYSEC",
		#"kconfig": "CONFIG_SECURITY_KYSEC",
		"ksymbol": "kysec_get_file_exectl",
		"packages": [
			{"name": "kysec-utils", "modified": False},
			{"name": "kysec", "modified": False},
			{"name": "kysec-auth", "modified": False},
			{"name": "kernel-hash-init", "modified": False},
			{"name": "kylin-security-daemon", "modified": False}
		],
		"files": [
		],
		"boot_params": { 
			"enabled": {"security": "kysec", "kysec_status": "2"} ,
			"disabled": {"kysec_status": "4"} 
		},
	},
	"selinux": {
		"name": "selinux",
		"desc": "SELinux ",
		#"kconfig": "CONFIG_SECURITY_SELINUX",
		"ksymbol": "selinux_init",
		"packages": [
			#{"name": "libselinux-utils", "modified": False},
			{"name": "setools", "modified": False},
			{"name": "policycoreutils", "modified": False},
			{"name": "chpolicy", "modified": False},
			{"name": "selinux-policy-dev", "modified": False},
			{"name": "libsemanage", "modified": True}
		],
		"files": [
			{"name": "/usr/sbin/selinux_restorecon", "modified": False}
		],
		"boot_params": { 
			"enabled": {"security": "selinux", "selinux": "1", "enforcing": "1"},
			"disabled": {"selinux": "0"}
		}
	},
	"apparmor": {
		"name": "apparmor",
		"desc": "Apparmor",
		#"kconfig": "CONFIG_SECURITY_APPARMOR",
		"ksymbol": "apparmor_init",
		"packages": [
			{"name": "apparmor", "modified": False},
			{"name": "apparmor-utils", "modified": False},
			{"name": "apparmor-profiles", "modified": False}
		],
		"files": [
		],
		"boot_params": { 
			"enabled": {"security": "apparmor"},
			"disabled": {}
		},
	},
	"admin3": {
		"name": "admin3",
		"desc": "三权分立",
		#"kconfig": "CONFIG_SECURITY_3ADMIN",
		"ksymbol": "kysec_get_3adm",
		"packages": [
			{"name": "kysec-utils", "modified": False},
			{"name": "audit", "modified": True},
			{"name": "shadow", "modified": True},
			{"name": "util-linux", "modified": True},
			{"name": "passwd", "modified": True}
		],
		"files": [
		],
		"boot_params": {
			"enabled": {"security": "kysec", "kysec_3adm": "1"},
			"disabled": {"kysec_3adm": "0"}
		}
	},
}
